var langObj = {"HTML_Report": {"REPORT_TITLE": "MogDB SQL Evaluation Report", "Summary": {"TITLE_COLLECTION": "Collection", "TITLE_ANALYSIS": "Analysis", "TITLE_SOURCE_TYPE": "Source Type", "TITLE_SOURCE_NAME": "Source Name", "TITLE_SOURCE_VERSION": "Source Version", "TITLE_SOURCE_CHARSET": "Source Charset", "TITLE_MOGDB_NAME": "MogDB Name", "TITLE_MOGDB_VERSION": "MogDB Version", "TITLE_SQL_COMPATIBILITY": "SQL Compatibility", "TITLE_OBJECT_COMPATIBILITY": "Object Compatibility", "TITLE_SQL_COMPLEXITY": "SQL Complexity", "DATA_SQL_COMPATIBILITY_ALL": "All", "DATA_SQL_COMPATIBILITY_BUSINESS": "Business"}, "Contents": {"CONTENT_OBJECT_COMPATIBILITY": "Object Compatibility", "CONTENT_SQL_COMPATIBILITY": "SQL Compatibility", "CONTENT_SQL_RULES": "SQL Rewrite", "CONTENT_SQL_COMPLEXITY": "SQL Complexity", "CONTENT_SQL_PERFORMANCE": "SQL Performance", "CONTENT_SQL_PERFORMANCE_SUMMARY": "Performance Summary", "CONTENT_SQL_PERFORMANCE_WORKLOAD": "Top by Workload", "CONTENT_SQL_PERFORMANCE_SQL": "Top by SQL", "CONTENT_SQL_PERFORMANCE_TIMEOUT": "Timeout", "CONTENT_PORTRAIT": "Database Portrait", "CONTENT_PORTRAIT_BASIC": "Basic Information", "CONTENT_PORTRAIT_TREND": "Performance Tendence", "CONTENT_PORTRAIT_OBJECT": "Object Statistics", "CONTENT_PORTRAIT_TABLE": "Table Statistics", "CONTENT_PORTRAIT_PARTITION": "Partition Statistics", "CONTENT_PORTRAIT_INDEX": "Index Statistics", "CONTENT_PORTRAIT_CONSTRAINT": "Constraint Statistics", "CONTENT_PORTRAIT_PLSQL": "PL/SQL Statistics", "CONTENT_PORTRAIT_VIEW": "View Statistics", "CONTENT_PORTRAIT_SQL": "SQL Statistics"}, "Object_Compatibility": {"OBJECT_TITLE": "Summary of Object Complexity", "OBJECT_TIPS": "Only object types list below supported in object compatibility analysis: \nFUNCTION, MATERIALIZED VIEW, PACKAGE, PROCEDURE, SEQUENCE, TABLE, TRIGGER, TYPE, VIEW", "GRID_TITLE_OWNER": "User/Schema", "GRID_TITLE_TYPE": "Object Type", "GRID_TITLE_STATUS": "Status", "GRID_TITLE_ALL": "All", "GRID_TITLE_NOT_CHECK": "Not Checked", "GRID_TITLE_COMPATIBLE": "Support", "GRID_TITLE_NOT_COMPATIBLE": "Not Support"}, "Compatibility": {"COMPAT_SQL_TYPE": "SQL Type", "COMPAT_TOTAL": "All", "COMPAT_SUPPORT": "Support", "COMPAT_REWRITE": "Rewrite Support", "COMPAT_UNSUPPORT": "Unsupport", "COMPAT_SUPPORT_TIPS": "Support in MogDB without any rewriting", "COMPAT_REWRITE_TIPS": "Supported by rewrite with some pre-defined rewriting rules", "COMPAT_UNSUPPORT_TIPS": "For a detailed list of unsupported SQLs, please refer to the Excel data report in report directory", "DATA_SQL_BUSINESS": "Business", "DATA_SQL_SYSCAT": "System Catalog", "DATA_SQL_SYSCMD": "System Command", "DATA_SQL_OTHER": "Other", "Oracle": {"COMPAT_SEARCH_TIPS": "Search for Username/Module", "COMPAT_COLUMN_2": "Username", "COMPAT_COLUMN_3": "Module"}, "MySQL": {"COMPAT_SEARCH_TIPS": "Search for Database/User_Host", "COMPAT_COLUMN_2": "Database", "COMPAT_COLUMN_3": "User_Host"}, "DB2": {"COMPAT_SEARCH_TIPS": "Search for Schema/Stmt_Type", "COMPAT_COLUMN_2": "Schema", "COMPAT_COLUMN_3": "Stmt_Type"}, "Informix": {"COMPAT_SEARCH_TIPS": "Search for Username/Stmt_Type", "COMPAT_COLUMN_2": "Username", "COMPAT_COLUMN_3": "Stmt_Type"}, "PostgreSQL": {"COMPAT_SEARCH_TIPS": "Search for Username", "COMPAT_COLUMN_2": "Username", "COMPAT_COLUMN_3": ""}, "COMPAT_SEARCH_TIPS": "Search for Username/Module", "COMPAT_USERNAME": "Username", "COMPAT_MODULE": "Module"}, "Rules": {"RULE_SEARCH_TIPS": "Search for Rule Name/Description", "RULE_NAME": "Rule Name", "RULE_USAGE": "Usage", "RULE_CONTENT": "Rule Content", "RULE_DESCRIPTION": "Rule Description"}, "Complexity": {"COMPLEX_WEIGHTED": "Weighted Complexity", "COMPLEX_MIN": "Min", "COMPLEX_MIDDLE": "Middle", "COMPLEX_MEAN": "Mean", "COMPLEX_MAX": "Max", "COMPLEX_TITLE_X": "SQL Count", "COMPLEX_TITLE_Y": "Complexity", "COMPLEX_DESCRIPTION_TITLE": "Explanation of relevant indicators", "COMPLEX_DESCRIPTION_DATA": "1. The weighted complexity is calculated by taking the complexity of each SQL and weighting it by the number of executions and calculating the weighted mean value. \n2. SQL complexity is calculated by 4 computational dimensions: number of tables, connect by, user-defined functions, and elapsed time. \n3. The minimum value of SQL complexity is 1, i.e., the table association is less than 4, there is no connect by, custom function, and the execution time is shorter. \n4. The minimum, median, mean, and maximum values are obtained by aggregating statistics for all SQL."}, "Performance": {"CHAPTER_TITLE_SUMMARY": "Performance Comparation Summary", "CHAPTER_TITLE_WORKLOAD": "SQL Performance Changed List (Impact by Workload)", "CHAPTER_TITLE_SQL": "SQL Performance Changed List (Impact by SQL)", "CHAPTER_TITLE_TIMEOUT": "Timeout SQL List", "SEARCH_TIPS": "Search according SQL FMS", "GRID_TITLE_ID": "ID", "GRID_TITLE_FMS": "SQL FMS", "GRID_TITLE_EXECUTIONS": "Executions", "GRID_TITLE_ORACLE_ELAPSED": "Oracle Elapsed (ms)", "GRID_TITLE_MOGDB_ELAPSED": "MogDB Elapsed (ms)", "GRID_TITLE_IMPACT_SQL": "Impact by SQL", "GRID_TITLE_IMPACT_WORKLOAD": "Impact by Workload", "GRID_TITLE_TOTAL_ELAPSED": "Total Elapsed (ms)", "GRID_TITLE_SINGLE_ELAPSED": "Single Elapsed (ms)", "Summary": {"TITLE_BASIC": "Basic Information", "BASIC_COLLECTION": "Collection Time", "BASIC_ANALYSIS": "Analysis Time", "BASIC_ELAPSED_SECS": "Analysis Elapsed (secs.)", "BASIC_REPORT_CREATED": "Report Created", "BASIC_WORKLOAD_THRESHOLD": "Workload Threshold", "BASIC_SQL_THRESHOLD": "SQL Threshold", "BASIC_TIMEOUT_SECS": "Timeout (secs.)", "BASIC_PARALLEL": "Parallels", "TITLE_SUMMARY": "SQL Performance Summary", "SUMMARY_CATAGORY": "Catagory", "SUMMARY_SQL_COUNT": "SQL Count", "SUMMARY_IMPACT_SQL": "Impact by SQL", "SUMMARY_IMPACT_WORKLOAD": "Impact by Workload"}, "Detail": {"DETAIL_NAME": "Detail Report", "TITLE_SQL_DETAIL": "SQL Details", "TITLE_BINDS": "SQL Binds", "TITLE_ORACLE_PLAN": "Oracle Plan", "TITLE_MOGDB_PLAN": "MogDB Plan", "TITLE_MOGDB_OBJECTS": "MogDB Objects", "TITLE_MOGDB_TABLE_INDEX": "Table/Index Information", "TITLE_MOGDB_COLUMN": "Column Information", "TITLE_MOGDB_COLUMN_SEARCH": "Searching with keywords", "MOGDB_PLAN_JOIN_SLOW": "Find {N} steps which join step is taking more than twice the time of all the sub-steps, probably because the join method is not selected properly.", "MOGDB_PLAN_STEP_SLOW": "Find {N} steps which execution time is more than 30% of total time, this maybe a performance bottleneck.", "MOGDB_PLAN_REMOVE_MORE_ROWS": "Find {N} steps which removed more then 80% rows from scanned, this maybe necessary index missing or there are better filtering options in the sub-steps.", "MOGDB_PLAN_NO_STATISTICS": "Find {N} steps which estimated rows is abnormally, this maybe statistics missing.", "MOGDB_PLAN_ALL_FINDINGS": "Find {N} problems in the execution plan!", "TITLE_OBJECT_SCHEMA": "Schema", "TITLE_OBJECT_TABLE": "Table", "TITLE_OBJECT_PAGES": "Pages", "TITLE_OBJECT_ROWS": "Rows", "TITLE_OBJECT_DELETED_ROWS": "Deleted", "TITLE_OBJECT_TABLE_SCAN": "Table Scans", "TITLE_OBJECT_INDEX_SCAN": "Index Scans", "TITLE_OBJECT_VACUUM": "Vacuum Time", "TITLE_OBJECT_ANALYZE": "Analyze Time", "TITLE_OBJECT_INDEX_COLUMNS": "Indexes", "TITLE_OBJECT_COLUMN": "Column", "TITLE_OBJECT_DATA_TYPE": "Data Type", "TITLE_OBJECT_NULLS": "Nulls", "TITLE_OBJECT_AVG_ROW_LEN": "Avg Row Len", "TITLE_OBJECT_DISTINCT_VALUES": "Distinct", "TITLE_OBJECT_MOST_VALUES": "Most Values", "TITLE_OBJECT_MOST_VALUES_FREQS": "Most Values Freqs", "TITLE_OBJECT_CORRELATION": "Correlation", "TITLE_OBJECT_MOST_ELEMS": "Most Elems", "TITLE_OBJECT_MOST_ELEMS_FREQS": "Most Elems Freqs"}}, "Portrait": {"ROLLUP_TOTAL": "[-Total-]", "ROLLUP_SUBTOTAL": "[-SubTotal-]", "Basic": {"TITLE": "Basic Information", "TITLE_OS": "Host Information", "TITLE_DB": "Database Information", "TITLE_STORAGE": "Storage Information", "GRID_TITLE_NAME": "Name", "GRID_TITLE_VALUE": "Value", "GRID_OS_NAME": "Hostname", "GRID_OS_RELEASE": "Release Version", "GRID_OS_KERNEL": "Kernel Version", "GRID_OS_CPU": "CPU", "GRID_OS_MEM": "Memory", "GRID_OS_NIC": "Network", "GRID_DB_ID": "DBID", "GRID_DB_NAME": "DB Name", "GRID_DB_VER": "Version", "GRID_DB_ROLE": "Role", "GRID_DB_START": "Last Startup", "GRID_DB_TZ": "Timezone", "GRID_DB_RAC": "is RAC", "GRID_DB_ARCH": "Archive Mode", "GRID_DB_CHARSET": "Charset", "GRID_DB_NCHARSET": "National Charset", "GRID_STORAGE_OS": "Host Storage", "GRID_STORAGE_ASM": "ASM Storage"}, "Perf_Trend": {"TITLE": "Performance Tendence", "TITLE_TIME": "Time-Model Tendence", "TITLE_CONN": "Connection Tendence", "TITLE_BUSINESS": "Business Tendence", "TITLE_IO": "IO Tendence", "CHART_X": "Snaptime", "CHART_Y_TIME": "Elapsed (sec.)", "CHART_Y_CONN": "Connection", "CHART_Y_BUSINESS": "Count", "CHART_Y_IO": "Size (MB/s)"}, "Object": {"TITLE": "Object Statistics", "TITLE_SUMMARY": "Object by Type", "TITLE_NONSTANDARD": "Non-Standard/Retain Object", "TITLE_LARGE": "Large Object", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_ALL": "Total", "GRID_TITLE_TYPE": "Object Type", "GRID_TITLE_INVALID": "Invalid", "GRID_TITLE_NONSTANDARD": "Non-Standard", "GRID_TITLE_RETAIN": "Retain", "GRID_TITLE_NAME": "Object Name", "GRID_TITLE_SUBNAME": "Subobject Name", "GRID_TITLE_CREATED": "Created", "GRID_TITLE_MODIFIED": "Last DDL", "GRID_TITLE_STATUS": "Status", "GRID_TITLE_CATAGORY": "Catagory", "GRID_TITLE_1G": "(0, 1GB]", "GRID_TITLE_10G": "(1GB, 10GB]", "GRID_TITLE_50G": "(10GB, 50GB]", "GRID_TITLE_100G": "(50GB, 100GB]", "GRID_TITLE_500G": "(100GB, 500GB]", "GRID_TITLE_MORE": "(500GB, infinite]"}, "Table": {"TITLE": "Table Statistics", "TITLE_TYPE": "Table by Type", "TITLE_ROWS": "Distribute of Rows", "TITLE_COLUMN_COUNT": "Distribute of Column Amount", "TITLE_CHAR_COLUMN_LEN": "Distribute of Char Length", "TITLE_SPECIAL_COLUMN": "Special Column", "TITLE_NONSTANDARD": "Non-Standard/Retain Column", "TITLE_LOB": "Distribute of Lob Size", "TITLE_DML": "Distribute of DML Frequency", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_ALL": "Total", "GRID_TITLE_TYPE_PARTITION": "Partitioned", "GRID_TITLE_TYPE_IOT": "IOT", "GRID_TITLE_TYPE_TEMP": "Temporary", "GRID_TITLE_TYPE_READ_ONLY": "Read Only", "GRID_TITLE_TYPE_EXTERNAL": "External", "GRID_TITLE_TYPE_COMPRESS": "Compressed", "GRID_TITLE_TYPE_MEMORY": "IN Memory", "GRID_TITLE_TYPE_DROP": "Dropped", "GRID_TITLE_TYPE_NAME_64": "Name>64", "GRID_TITLE_ROWS_0": "0", "GRID_TITLE_ROWS_1W": "(0, 10 thousand]", "GRID_TITLE_ROWS_10W": "(10 thousand, 100 thousand]", "GRID_TITLE_ROWS_100W": "(100 thousand, 1 million]", "GRID_TITLE_ROWS_1000W": "(1 million, 10 million]", "GRID_TITLE_ROWS_5000W": "(10 million, 50 million]", "GRID_TITLE_ROWS_1Y": "(50 million, 100 million]", "GRID_TITLE_ROWS_MORE": "(100 million, infinite]", "GRID_TITLE_COUNT_10": "(0, 10]", "GRID_TITLE_COUNT_50": "(10, 50]", "GRID_TITLE_COUNT_100": "(50, 100]", "GRID_TITLE_COUNT_200": "(100, 200]", "GRID_TITLE_COUNT_500": "(200, 500]", "GRID_TITLE_COUNT_MORE": "(500, infinite]", "GRID_TITLE_LEN_100": "(0, 100]", "GRID_TITLE_LEN_500": "(100, 500]", "GRID_TITLE_LEN_1000": "(500, 1000]", "GRID_TITLE_LEN_2000": "(1000, 2000]", "GRID_TITLE_LEN_4000": "(2000, 4000]", "GRID_TITLE_LEN_more": "(4000, infinite]", "GRID_TITLE_TYPE_ROWID": "[U]ROWID", "GRID_TITLE_TYPE_LONG_RAW": "LONG/RAW", "GRID_TITLE_TYPE_LOB": "LOB", "GRID_TITLE_TYPE_XMLTYPE": "XMLTYPE", "GRID_TITLE_TYPE_ANYDATA": "ANYDATA", "GRID_TITLE_TYPE_INTERVAL": "Interval", "GRID_TITLE_TYPE_NONSTANDARD": "Non-Standard", "GRID_TITLE_TYPE_RETAIN": "Retain", "GRID_TITLE_TYPE_HIDDEN": "Hidden", "GRID_TITLE_TYPE_VIRTUAL": "Virtual", "GRID_TITLE_NONSTANDARD_TABLE": "Table Name", "GRID_TITLE_NONSTANDARD_ID": "ID", "GRID_TITLE_NONSTANDARD_COLUMN": "Column Name", "GRID_TITLE_NONSTANDARD_TYPE": "Data Type", "GRID_TITLE_NONSTANDARD_CATAGORY": "Catagory", "GRID_TITLE_LOB_1G": "[0, 1GB]", "GRID_TITLE_LOB_10G": "(1GB, 10GB]", "GRID_TITLE_LOB_50G": "(10GB, 50GB]", "GRID_TITLE_LOB_100G": "(50GB, 100GB]", "GRID_TITLE_LOB_500G": "(100GB, 500GB]", "GRID_TITLE_LOB_MORE": "(500GB, infinite]", "GRID_TITLE_DML_TYPE": "DML Type", "GRID_TITLE_DML_100": "[0, 100]", "GRID_TITLE_DML_1W": "(100, 10 thousand]", "GRID_TITLE_DML_10W": "(10 thousand, 100 thousand]", "GRID_TITLE_DML_100W": "(100 thousand, 1 million]", "GRID_TITLE_DML_1000W": "(1 million, 10 million]", "GRID_TITLE_DML_MORE": "(10 million, infinite]"}, "Partition": {"TITLE": "Partition Statistics", "TITLE_TYPE": "Partition Feature Statistics", "TITLE_COUNT": "Distribute of Partition Amount", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_TYPE": "Partition Type", "GRID_TITLE_SUBTYPE": "SubPartition Type", "GRID_TITLE_KEYS": "Partition Key Count", "GRID_TITLE_SUBKEYS": "SubPartition Key Count", "GRID_TITLE_TABLES": "Table Count", "GRID_TITLE_ALL": "Total", "GRID_TITLE_10": "(0, 10]", "GRID_TITLE_50": "(10, 50]", "GRID_TITLE_100": "(50, 100]", "GRID_TITLE_500": "(100, 500]", "GRID_TITLE_1000": "(500, 1000]", "GRID_TITLE_5000": "(1000, 5000]", "GRID_TITLE_MORE": "(5000, infinite]"}, "Index": {"TITLE": "Index Statistics", "TITLE_TYPE": "Index by Type", "TITLE_TABLE_INDEXES": "Index by Table", "TITLE_INDEX_KEYS": "Index by Column", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_ALL": "Total", "GRID_TITLE_NORMAL": "Normal", "GRID_TITLE_BITMAP": "Bitmap", "GRID_TITLE_LOB": "Lob Index", "GRID_TITLE_FUNCTION": "Function Index", "GRID_TITLE_IOT": "IOT", "GRID_TITLE_SPATIAL": "Spatial", "GRID_TITLE_INVALID": "Invalid", "GRID_TITLE_TABLE_0": "0", "GRID_TITLE_TABLE_3": "(0, 3]", "GRID_TITLE_TABLE_6": "(3, 6]", "GRID_TITLE_TABLE_9": "(6, 9]", "GRID_TITLE_TABLE_12": "(9, 12]", "GRID_TITLE_TABLE_MORE": "(12, infinite]", "GRID_TITLE_KEYS_1": "1", "GRID_TITLE_KEYS_2": "2", "GRID_TITLE_KEYS_3": "3", "GRID_TITLE_KEYS_4": "4", "GRID_TITLE_KEYS_5": "5", "GRID_TITLE_KEYS_10": "(5, 10]", "GRID_TITLE_KEYS_MORE": "(10, infinite]"}, "Constraint": {"TITLE": "Constraint Statistics", "TITLE_TYPE": "Constraint by Type", "TITLE_NO_KEY": "Table without PK/UK", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_ALL": "Total", "GRID_TITLE_INVALID": "Invalid", "GRID_TITLE_PK": "Primary", "GRID_TITLE_UK": "Unique", "GRID_TITLE_FK": "Foreign", "GRID_TITLE_CK": "Check", "GRID_TITLE_VIEW_CHECK": "View Check", "GRID_TITLE_READ_ONLY": "Read Only View", "GRID_TITLE_OTHERS": "Other", "GRID_TITLE_NO_PK": "No PK", "GRID_TITLE_NO_UK": "No PK/UK", "GRID_TITLE_NO_PK_PCT": "No PK Pct.", "GRID_TITLE_NO_UK_PCT": "No PK/UK Pct."}, "PLSQL": {"TITLE": "PL/SQL Statistics", "TITLE_ROWS": "PL/SQL by Lines", "TITLE_SQL": "Special SQL in PL/SQL", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_ALL": "Total", "GRID_TITLE_TYPE": "Type", "GRID_TITLE_STATUS": "Status", "GRID_TITLE_ROWS": "All Rows", "GRID_TITLE_100": "(0, 100]", "GRID_TITLE_1000": "(100, 1000]", "GRID_TITLE_5000": "(1000, 5000]", "GRID_TITLE_10000": "(5000, 10000]", "GRID_TITLE_50000": "(10000, 50000]", "GRID_TITLE_100000": "(50000, 100000]", "GRID_TITLE_MORE": "(100000, infinite]", "GRID_TITLE_SEQUENCE": "Sequence", "GRID_TITLE_DBLINK": "Sequence", "GRID_TITLE_PARTITION": "Partition", "GRID_TITLE_ROWNUM": "Rownum", "GRID_TITLE_WITH": "With", "GRID_TITLE_CTAS": "CTAS", "GRID_TITLE_FOR_UPDATE": "For update", "GRID_TITLE_OUTER_JOIN": "Outer Join", "GRID_TITLE_CONNECT_BY": "Connect by", "GRID_TITLE_PIVOT": "Pivot"}, "View": {"TITLE": "View Statistics", "TITLE_LEN": "Distribute of view query", "TITLE_MVIEW": "Materialized View List", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_TYPE": "Type", "GRID_TITLE_ALL": "Total", "GRID_TITLE_100": "(0, 100]", "GRID_TITLE_500": "(100, 500]", "GRID_TITLE_1000": "(500, 1000]", "GRID_TITLE_4000": "(1000, 4000]", "GRID_TITLE_10000": "(4000, 10000]", "GRID_TITLE_MORE": "(10000, infinite]", "GRID_TITLE_NAME": "Name", "GRID_TITLE_UPDATABLE": "Updatable", "GRID_TITLE_MODE": "Refresh Mode", "GRID_TITLE_METHOD": "Refresh Method"}, "SQL": {"TITLE": "SQL Statistics", "TITLE_SQL_PERF": "Distribute of SQL Performance", "TITLE_SQL_LEN": "Distribute of SQL Length", "TITLE_SPECIAL_SQL": "Special SQL Statistics", "GRID_TITLE_OWNER": "Owner", "GRID_TITLE_ALL": "Total", "GRID_TITLE_TIME_1MS": "(0, 1ms]", "GRID_TITLE_TIME_10MS": "(1ms, 10ms]", "GRID_TITLE_TIME_100MS": "(10ms, 100ms]", "GRID_TITLE_TIME_1S": "(100ms, 1s]", "GRID_TITLE_TIME_5S": "(1s, 5s]", "GRID_TITLE_TIME_10S": "(5s, 10s]", "GRID_TITLE_TIME_30S": "(10s, 30s]", "GRID_TITLE_TIME_1M": "(30s, 1m]", "GRID_TITLE_TIME_5M": "(1m, 5m]", "GRID_TITLE_TIME_10M": "(5m, 10m]", "GRID_TITLE_TIME_30M": "(10m, 30m]", "GRID_TITLE_TIME_1H": "(30m, 1h]", "GRID_TITLE_TIME_MORE": "(1h, infinite]", "GRID_TITLE_LEN_100": "(0, 100]", "GRID_TITLE_LEN_500": "(100, 500]", "GRID_TITLE_LEN_1000": "(500, 1000]", "GRID_TITLE_LEN_2000": "(1000, 2000]", "GRID_TITLE_LEN_4000": "(2000, 4000]", "GRID_TITLE_LEN_MORE": "(4000, infinite]", "GRID_TITLE_SPECIAL_SEQUENCE": "Sequence", "GRID_TITLE_SPECIAL_DBLINK": "Sequence", "GRID_TITLE_SPECIAL_PARTITION": "Partition", "GRID_TITLE_SPECIAL_ROWNUM": "Rownum", "GRID_TITLE_SPECIAL_WITH": "With", "GRID_TITLE_SPECIAL_CTAS": "CTAS", "GRID_TITLE_SPECIAL_FOR_UPDATE": "For update", "GRID_TITLE_SPECIAL_OUTER_JOIN": "Outer Join", "GRID_TITLE_SPECIAL_CONNECT_BY": "Connect by", "GRID_TITLE_SPECIAL_PIVOT": "Pivot"}}}, "Excel_Report": {"Cover": {"SHEET_NAME": "Cover", "TITLE_MAIN": "SQL Compatibility Analysis", "TITLE_SUB": "Data Report", "PACKAGE_ID": "Data ID", "SOURCE_NAME": "Source Database", "COLLECTION_TIME": "Collection Time", "ANALYSIS_TIME": "Analysis Time", "SCA_VERSION": "SCA Version", "SCA_COLLECT_VERSION": "Collection"}, "Summary": {"SHEET_NAME": "SQL Summary", "LIST_COMPATIBILITY_SUMMARY": "SQL Compatibility Summary List", "LIST_UNSUPPORTED_SUMMARY": "Unsupported SQL Summary List", "LIST_REWRITE_SUMMARY": "Rewrite SQL Summary List", "PIE_COMPATIBILITY_SUMMARY": "SQL Compatibility Summary", "PIE_USER_SUPPORTED": "Supported SQL by User", "PIE_USER_UNSUPPORTED": "Unsupported SQL by User", "PIE_UNSUPPRTED_SUMMARY": "Unsupported SQL Summary", "PIE_REWRITE_SUMMARY": "Rewrite SQL Summary"}, "Object_Summary": {"SHEET_NAME": "Object Summary", "LIST_OBJECT_COMPATIBILITY_SUMMARY": "Object Compatibility Summary List", "LIST_OBJECT_UNSUPPORTED_SUMMARY": "Unsupported Object Summary List", "PIE_OBJECT_COMPATIBILITY_SUMMARY": "Object Compatibility Summary", "PIE_OBJECT_USER_SUPPORTED": "Supported Object by User", "PIE_OBJECT_USER_NOT_CHECKED": "Not Checked Object by User", "PIE_OBJECT_USER_UNSUPPORTED": "Unsupported Object by User", "PIE_OBJECT_UNSUPPRTED_SUMMARY": "Unsupported Object Summary"}, "SQL_List": {"DETAIL_SHEET_NAME": "SQL Detail", "DATA_NOT_FOUND": "SQL not found, please contact administrator for help !", "TITLE_SCHEMA": "Schema", "TITLE_USERNAME": "Username", "TITLE_USER_SCHEMA": "Username (Schema)", "TITLE_SQL_TYPE": "SQL Type", "TITLE_STMT_TYPE": "Statement Type", "TITLE_SUPPORT_TYPE": "Support Type", "TITLE_MODULE": "Module", "TITLE_ACTION": "Action", "TITLE_MOGDB_ERROR_CODE": "MogDB Error Code", "TITLE_MOGDB_ERROR_MESSAGE": "MogDB Error Message", "TITLE_COMPLEXITY": "SQL Complexity", "TITLE_SQLID": "SQL_ID", "TITLE_SOURCE_SQL_TEXT": "Source SQL Text", "TITLE_REWRITE_RULES": "Rewrite rules", "TITLE_REWRITED_SQL_TEXT": "Rewrited SQL Text", "TITLE_SOURCE_REWRITE_SQL": "Source SQL Text / Rewrite SQL Text", "TITLE_DATABASE": "Database (Schema)", "TITLE_USER_HOST": "User & Host", "TITLE_MYSQL_ERROR_CODE": "MySQL Error Code", "DATA_SQL_BUSINESS": "Business", "DATA_SQL_SYSCAT": "System Catalog", "DATA_SQL_SYSCMD": "System Command", "DATA_SQL_OTHER": "Other", "DATA_TYPE_SUPPORT": "Support", "DATA_TYPE_REWRITE": "Rewrite Support", "DATA_TYPE_UNSUPPORT": "Unsupport", "RETURN_TO_SUMMARY": "Back to Summary"}, "Object_List": {"DETAIL_SHEET_NAME": "Object Detail", "DATA_NOT_FOUND": "Object not found, please contact administrator for help !", "TITLE_OBJECT_ID": "Object ID", "TITLE_OWNER": "Owner", "TITLE_OBJECT_NAME": "Object Name", "TITLE_OBJECT_TYPE": "Object Type", "TITLE_CREATED": "Created", "TITLE_LAST_DDL_TIME": "Last DDL Time", "TITLE_STATUS": "Status", "TITLE_MOGDB_CODE": "MogDB Error Code", "TITLE_MOGDB_MESSAGE": "MogDB Error Message", "TITLE_SOURCE_SQL": "Source DDL", "TITLE_TARGET_SQL": "Target DDL"}}}